{
  lib,
  config,
  ...
}:

lib.mkIf (lib.elem "nvim::telescope" config.machine.pkgs) {
  programs.nvim-lazy.lazyPlugins = [
    {
      lazy = true;
      dir = vPlug: vPlug.telescope-nvim;
      dependencies = (
        vPlug: with vPlug; [
          plenary-nvim
          "ghassan0/telescope-glyph.nvim"
          "xiyaowong/telescope-emoji.nvim"
        ]
      );
      keys = [
        {
          bind = "<leader>ff";
          cmd = "<Cmd>Telescope find_files<CR>";
          opts = {
            desc = "Telescope Find Files";
          };
        }
        {
          bind = "<leader>fg";
          cmd = "<Cmd>Telescope git_files<CR>";
          opts = {
            desc = "Telescope Git Files";
          };
        }
        {
          bind = "<leader>fw";
          cmd = "<Cmd>Telescope grep_string<CR>";
          opts = {
            desc = "Telescope Grep Cursor Word";
          };
        }
        {
          bind = "<leader>fr";
          cmd = "<Cmd>Telescope live_grep<CR>";
          opts = {
            desc = "Telescope Grep Files";
          };
        }
        {
          bind = "<leader>fc";
          cmd = "<Cmd>Telescope glyph<CR>";
          opts = {
            desc = "Telescope find glyphs";
          };
        }
        {
          bind = "<leader>fe";
          cmd = "<Cmd>Telescope emoji<CR>";
          opts = {
            desc = "Telescope find emoju";
          };
        }
      ];
    }
    {
      lazy = true;
      short = "ghassan0/telescope-glyph.nvim";
    }
    {
      lazy = true;
      short = "xiyaowong/telescope-emoji.nvim";
    }
    {
      dir = vPlug: vPlug.plenary-nvim;
      lazy = true;
    }
  ];
}
